/*
 * DataFormatException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * アクセッサが提供するレコード内で、データ型の変換に失敗したときに発生する例外クラス。<br>
 * 発生例）"dumy123"というデータを{@link jp.co.cybec.cb3.accessor.fileaccess.flat.FlatFileRecordImpl#getInteger(String)}で
 *   取得しようとしたときなど。
 * @author Naoko Sugimoto
 */
public class DataFormatException extends AccessorRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = -94697929668748665L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public DataFormatException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public DataFormatException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public DataFormatException(String msg, Exception cause) {
		super(msg, cause);
	}
}
